Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class CTRowColFieldInfo

    java.lang.Object
      jet.api.CTRowColFieldInfo

    public class CTRowColFieldInfo

extends java.lang.Object

The class CTRowColFieldInfo defines the information of column/row in the crosstab.

Field Summary
`static int` | `ASCENDING` Sort type value of column/row.
`static int` | `DESCENDING` Sort type value of column/row.
`static int` | `NOSORT` Sort type value of column/row.

Constructor Summary
`CTRowColFieldInfo(java.lang.String name, java.lang.String mapping, int sort, java.lang.String total)` Constructor.
`CTRowColFieldInfo(java.lang.String name, java.lang.String mapping, int sort, java.lang.String total, java.awt.Color fillColor)` Constructor.
`CTRowColFieldInfo(java.lang.String name, java.lang.String mapping, int sort, java.lang.String total, java.awt.Color fillColor, int index)` Constructor.

Method Summary
`java.lang.String` | `getBlName()` Gets BC/RC name or the BusinessView name of the column/row field.
`java.awt.Color` | `getFillColor()` Gets the background color of the column/row.
`void` | `setBlName(java.lang.String blName)` Sets the BC/RC name or the BusinessView name of the column/row field.
`void` | `setFillColor(java.awt.Color fillColor)` Sets the background color of the column/row.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ASCENDING

    public static final int ASCENDING

  Sort type value of column/row.

  See Also:
    Constant Field Values

### DESCENDING

    public static final int DESCENDING

  Sort type value of column/row.

  See Also:
    Constant Field Values

### NOSORT

    public static final int NOSORT

  Sort type value of column/row.

  See Also:
    Constant Field Values

Constructor Detail

### CTRowColFieldInfo

    public CTRowColFieldInfo(java.lang.String name,
                             java.lang.String mapping,
                             int sort,
                             java.lang.String total)

  Constructor. Create a column/row filed information in the crosstab.

  Parameters:
    `name` - The instance name of the row or column field in the crosstab.
    `mapping` - The mapping name of the database field or formula that will be displayed on the columns/rows of the crosstab.
    `sort` - Specifies how to sort the field values. it's must be one of `ASCENDING`, `DESCENDING` or `NOSORT`.
    `total` - Specifies the display names for summaries of the specified field.

### CTRowColFieldInfo

    public CTRowColFieldInfo(java.lang.String name,
                             java.lang.String mapping,
                             int sort,
                             java.lang.String total,
                             java.awt.Color fillColor)

  Constructor. Create a column/row filed information in the crosstab.

  Parameters:
    `name` - The instance name of the row or column field in the crosstab.
    `mapping` - The the mapping name of the database field or formula that will be displayed on the columns/rows of the crosstab.
    `sort` - Specifies how to sort the field values. it's must be one of `ASCENDING`, `DESCENDING` or `NOSORT`.
    `total` - Specifies the display names for summaries of the specified field.
    `fillColor` - Specifies the background color of the field.

### CTRowColFieldInfo

    public CTRowColFieldInfo(java.lang.String name,
                             java.lang.String mapping,
                             int sort,
                             java.lang.String total,
                             java.awt.Color fillColor,
                             int index)

  Constructor. Create a column/row filed information in the crosstab.

  Parameters:
    `name` - The instance name of the row or column field in the crosstab.
    `mapping` - The the mapping name of the database field or formula that will be displayed on the columns/rows of the crosstab.
    `sort` - Specifies how to sort the field values. it's must be one of `ASCENDING`, `DESCENDING` or `NOSORT`.
    `total` - Specifies the display names for summaries of the specified field.
    `fillColor` - Specifies the background color of the field.
    `index` - The position of column/row in the crosstab. It is useless in fact since JReport arrange the column/rows according to the column/row list in the crosstab.

Method Detail

### setFillColor

    public void setFillColor(java.awt.Color fillColor)

  Sets the background color of the column/row.

  Parameters:
    `fillColor` - The background color of the column/row.

### getFillColor

    public java.awt.Color getFillColor()

  Gets the background color of the column/row.

  Returns:
    the background color of the column/row.

### setBlName

    public void setBlName(java.lang.String blName)

  Sets the BC/RC name or the BusinessView name of the column/row field.

  Parameters:
    `blName` - The BC/RC name or the BusinessView name of the column/row field.

### getBlName

    public java.lang.String getBlName()

  Gets BC/RC name or the BusinessView name of the column/row field.

  Returns:
    the BC/RC name or the BusinessView name of the column/row field.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD